[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# SoundexInt

Soundex value as an integer.

## Declaration

Source position: line 0

`function SoundexInt(`
`const AText: string;`
`ALength: TSoundexIntLength`
`):Integer; function SoundexInt(`
`const AText: string`
`):Integer;`

## Arguments

`AText` |  | Text for which to compute soundex value.
`ALength` |  | Length of the soundex value to compute.

## Function result

Soundex value as a astring.

## Arguments

`AText` |  | Text for which to compute soundex value.

## Description

SoundexInt computes the Soundex code (with length ALength, default 4) of AText, and converts the code to an integer value.

## Errors

None.

## See also

Soundex |  | Compute the soundex of a string
SoundexCompare |  | Compare soundex values of 2 strings.
SoundexProc |  | Default AnsiResemblesText implementation.
SoundexWord |  | Calculate a word-sized soundex value
SoundexSimilar |  | Check whether 2 strings have equal soundex values

Documentation generated on: Feb 26 2014